- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 319e4d26-edba-41fa-bab8-332569d7c9c9
    creation_time: 2023-02-17T12:13:18.322226Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat2-ll.c
      input_file_hashes:
        c/nla-digbench/fermat2-ll.c: 43c7c57321afe9055366ca260a89f0e4de96718cc528ce2ea2543b13c4af6ed7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat2-ll.c
    file_hash: 43c7c57321afe9055366ca260a89f0e4de96718cc528ce2ea2543b13c4af6ed7
    line: 33
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: cc9ae990-7368-4d62-ab09-471d1730a665
    creation_time: 2023-02-17T12:13:18.322538Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat2-ll.c
      input_file_hashes:
        c/nla-digbench/fermat2-ll.c: 43c7c57321afe9055366ca260a89f0e4de96718cc528ce2ea2543b13c4af6ed7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat2-ll.c
    file_hash: 43c7c57321afe9055366ca260a89f0e4de96718cc528ce2ea2543b13c4af6ed7
    line: 34
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b11d41ef-d03e-4375-8917-ceac878e5367
    creation_time: 2023-02-17T12:13:18.322644Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat2-ll.c
      input_file_hashes:
        c/nla-digbench/fermat2-ll.c: 43c7c57321afe9055366ca260a89f0e4de96718cc528ce2ea2543b13c4af6ed7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat2-ll.c
    file_hash: 43c7c57321afe9055366ca260a89f0e4de96718cc528ce2ea2543b13c4af6ed7
    line: 47
    column: 0
    function: main
  location_invariant:
    string: 4*A == u*u-v*v-2*u+2*v
    type: assertion
    format: C

